## org.apache.catalina.ssi
Class SSIConfig

    java.lang.Object
      org.apache.catalina.ssi.SSIConfig

All Implemented Interfaces:
  SSICommand

public final class SSIConfig
extends java.lang.Object
implements SSICommand

Implements the Server-side #exec command

Version:
  $Revision: 1.3.2.1 $, $Date: 2004/09/01 16:31:01 $
Author:
  Bip Thelin, Paul Speed, Dan Sandberg

Constructor Summary
`SSIConfig()`

Method Summary
`void` `process(SSIMediator ssiMediator, java.lang.String commandName, java.lang.String[] paramNames, java.lang.String[] paramValues, java.io.PrintWriter writer)` Write the output of the command to the writer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSIConfig

    public SSIConfig()

Method Detail

### process

    public void process(SSIMediator ssiMediator,
                        java.lang.String commandName,
                        java.lang.String[] paramNames,
                        java.lang.String[] paramValues,
                        java.io.PrintWriter writer)

  Description copied from interface: `SSICommand`
  Write the output of the command to the writer.

  Specified by:
    `process` in interface `SSICommand`
  Parameters:
    `ssiMediator` - the ssi mediator
    `commandName` - the name of the actual command ( ie. echo )
    `paramNames` - The parameter names
    `paramValues` - The parameter values
    `writer` - the writer to output to
  See Also:
    `SSICommand`

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.